Bug 1128116 - dhcp not working on ovirt-node-iso-3.5.0.ovirt35.20140805.0.el6.iso
Summary: dhcp not working on ovirt-node-iso-3.5.0.ovirt35.20140805.0.el6.iso
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Fabian Deutsch
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks: 1128722
TreeView+ depends on / blocked
 
Reported: 2014-08-08 10:28 UTC by Netbulae
Modified: 2016-02-10 19:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1128722 (view as bug list)
Environment:
Last Closed: 2014-09-04 08:52:45 UTC
oVirt Team: Node


Attachments (Terms of Use)
network settings admin interface (17.18 KB, image/png)
2014-08-08 10:33 UTC, Netbulae
no flags Details
Networking is not configured (16.05 KB, image/png)
2014-08-08 10:35 UTC, Netbulae
no flags Details
restorecon on boot fails with read-only filesystem (18.81 KB, image/png)
2014-08-11 10:09 UTC, Netbulae
no flags Details
ovirtmgmt eth0 with dchp down in engine (20.96 KB, image/png)
2014-08-11 10:41 UTC, Netbulae
no flags Details
Network ovirtmgmt not in sync (17.80 KB, image/png)
2014-08-11 10:41 UTC, Netbulae
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31328 master MERGED selinux: Update rules Never

Description Netbulae 2014-08-08 10:28:16 UTC
Description of problem:
I install the latest ovirt node iso through pxe boot with kernel parameter "ip=dhcp" 

But after installation there is no network connection, when I disable and reenable in admin it still doesn't work.

I cannot see the log files because my root password also doesn't work (is the same as adminpw)

Version-Release number of selected component (if applicable):

ovirt-node-iso-3.5.0.ovirt35.20140805.0.el6.iso

Comment 1 Netbulae 2014-08-08 10:33:46 UTC
Created attachment 925152 [details]
network settings admin interface

Comment 2 Netbulae 2014-08-08 10:35:26 UTC
Created attachment 925153 [details]
Networking is not configured

Comment 3 Netbulae 2014-08-11 09:58:39 UTC
Sorry, forgot to add "enforcing=0" to the pxe boot config.

So it appears to be an selinux error..

Comment 4 Netbulae 2014-08-11 10:07:30 UTC
Aug 11 09:53:05 node3 kernel: type=1400 audit(1407750778.849:5): avc:  denied  { getattr } for  pid=4274 comm="dhclient-script" path="/etc/sysconfig/network-scripts/ifcfg-eth0" dev=dm-7 ino=21 scontext=system_u:system_r:dhcpc_t:s0 tcontext=system_u:object_r:file_t:s0 tclass=file
Aug 11 09:53:05 node3 kernel: type=1400 audit(1407750778.850:6): avc:  denied  { read } for  pid=4274 comm="dhclient-script" name="ifcfg-eth0" dev=dm-7 ino=21 scontext=system_u:system_r:dhcpc_t:s0 tcontext=system_u:object_r:file_t:s0 tclass=file
Aug 11 09:53:05 node3 kernel: type=1400 audit(1407750778.850:7): avc:  denied  { open } for  pid=4274 comm="dhclient-script" name="ifcfg-eth0" dev=dm-7 ino=21 scontext=system_u:system_r:dhcpc_t:s0 tcontext=system_u:object_r:file_t:s0 tclass=file
Aug 11 09:53:05 node3 kernel: type=1400 audit(1407750783.731:8): avc:  denied  { search } for  pid=4376 comm="auditd" name="/" dev=dm-8 ino=2 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:file_t:s0 tclass=dir

Comment 5 Netbulae 2014-08-11 10:09:17 UTC
Created attachment 925666 [details]
restorecon on boot fails with read-only filesystem

Comment 6 Netbulae 2014-08-11 10:12:33 UTC
DHCP is working, but I tried to register the node again and it gives the dreadfull "ERROR An error appeared in the UI: <InvalidData u'The field must contain an empty string or a valid FQDN or a valid IPv4 address or a valid IPv6 address.'>" message again...

2014-08-11 10:10:13,142    WARNING File already persisted: /etc/pki/vdsm/certs/bkp-2014-08-11_101013_cacert.pem
2014-08-11 10:10:13,143    WARNING /etc/pki/vdsm/certs/bkp-2014-08-11_101013_cacert.pem Already persisted
2014-08-11 10:10:13,143    WARNING File already persisted: /etc/pki/vdsm/certs/bkp-2014-08-11_101013_vdsmcert.pem
2014-08-11 10:10:13,143    WARNING /etc/pki/vdsm/certs/bkp-2014-08-11_101013_vdsmcert.pem Already persisted
2014-08-11 10:10:13,154       INFO Changes were merged successfully
2014-08-11 10:10:14,295    WARNING No widget for path action.cert.reject
2014-08-11 10:10:14,296    WARNING No widget for path action.cert.reject
2014-08-11 10:10:14,297       INFO Saving engine stuff
2014-08-11 10:10:15,307      ERROR An error appeared in the UI: <InvalidData u'The field must contain an empty string or a valid FQDN or a valid IPv4 address or a valid IPv6 address.'>
2014-08-11 10:10:15,308       INFO Exception:
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/ovirt/node/app.py", line 305, in run
  File "/usr/lib/python2.6/site-packages/ovirt/node/ui/urwid_builder.py", line 440, in run
  File "/usr/lib64/python2.6/site-packages/urwid/main_loop.py", line 271, in run
  File "/usr/lib64/python2.6/site-packages/urwid/raw_display.py", line 241, in run_wrapper
  File "/usr/lib64/python2.6/site-packages/urwid/main_loop.py", line 336, in _run
  File "/usr/lib64/python2.6/site-packages/urwid/main_loop.py", line 707, in run
  File "/usr/lib64/python2.6/site-packages/urwid/main_loop.py", line 786, in _loop
  File "/usr/lib64/python2.6/site-packages/urwid/main_loop.py", line 387, in _update
  File "/usr/lib64/python2.6/site-packages/urwid/main_loop.py", line 487, in process_input
  File "/usr/lib64/python2.6/site-packages/urwid/container.py", line 566, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/container.py", line 1559, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/container.py", line 2240, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/container.py", line 1559, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/container.py", line 1559, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/decoration.py", line 618, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/container.py", line 1102, in keypress
  File "/usr/lib/python2.6/site-packages/ovirt/node/ui/widgets.py", line 759, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/container.py", line 1559, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/decoration.py", line 833, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/container.py", line 2240, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/container.py", line 1559, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/decoration.py", line 618, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/wimp.py", line 534, in keypress
  File "/usr/lib64/python2.6/site-packages/urwid/widget.py", line 463, in _emit
  File "/usr/lib64/python2.6/site-packages/urwid/signals.py", line 120, in emit
  File "/usr/lib/python2.6/site-packages/ovirt/node/ui/widgets.py", line 542, in on_click_cb
  File "/usr/lib64/python2.6/site-packages/urwid/signals.py", line 120, in emit
  File "/usr/lib/python2.6/site-packages/ovirt/node/ui/urwid_builder.py", line 110, in on_widget_click_cb
  File "/usr/lib/python2.6/site-packages/ovirt/node/base.py", line 103, in __call__
  File "/usr/lib/python2.6/site-packages/ovirt/node/base.py", line 85, in emit
  File "/usr/lib/python2.6/site-packages/ovirt/node/ui/__init__.py", line 201, in __call__
  File "/usr/lib/python2.6/site-packages/ovirt/node/app.py", line 177, in call_on_ui_save
  File "/usr/lib/python2.6/site-packages/ovirt/node/plugins.py", line 405, in _on_ui_save
  File "/usr/lib/python2.6/site-packages/ovirt/node/setup/vdsm/engine_page.py", line 280, in on_merge
    model.update(cert_path=None)
  File "/usr/lib/python2.6/site-packages/ovirt/node/config/defaults.py", line 196, in wrapper
  File "/usr/lib/python2.6/site-packages/ovirt/node/setup/vdsm/engine_page.py", line 454, in update
    (valid.Empty(or_none=True) | valid.FQDNOrIPAddress())(server)
  File "/usr/lib/python2.6/site-packages/ovirt/node/valid.py", line 63, in __call__
  File "/usr/lib/python2.6/site-packages/ovirt/node/valid.py", line 69, in raise_exception
InvalidData: u'The field must contain an empty string or a valid FQDN or a valid IPv4 address or a valid IPv6 address.'

Comment 7 Netbulae 2014-08-11 10:24:38 UTC
Oops, forget that last comment. I put "https://" in the management server kernel argument while testing. Then it sets http://https://ovirt-engine.test.nu and that is not correct ;-)

So the error above is actually correct but should IMHO be handled by the admin interface and not drop to shell because of it...

Comment 8 Netbulae 2014-08-11 10:41:04 UTC
Created attachment 925670 [details]
ovirtmgmt eth0 with dchp down in engine

The ovirtmgmt interface is displayed as down in the ovirt engine

Comment 9 Netbulae 2014-08-11 10:41:52 UTC
Created attachment 925671 [details]
Network ovirtmgmt not in sync

Comment 10 Netbulae 2014-08-11 10:48:30 UTC
Ok sorry for all the updates but I'm debugging to save some time troubleshooting.

After the node gets registered, I see the ovirtmgmt interface (eth0) is down and not in sync. 

When I sync the network, vdsm drops the ovirtmgmt bridge and the node becomes unavailable. In the supervdsm log, I see:

root.ovirt.node.utils.network::(<module>) NetworkManager support disabled: NM Client not found (No module named gi.repository)

Comment 11 Fabian Deutsch 2014-08-11 12:24:27 UTC
I cloned this bug to a different component, because you seem to describe two problems here:

1. DHCP fails to work because of a missing selinux rule (fixed in this bug)
2. Failed to register with Engine due to a different problem (addressed in the clone)

Comment 12 Fabian Deutsch 2014-09-04 08:52:45 UTC
Fixed with 8e48be35e70d41027d60d93e569e9bbcbfd829bf


Note You need to log in before you can comment on or make changes to this bug.